/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
/**
 * Creates a test config provider with the ability to set configs values and clear all config values.
 * @internal
 */
export const createTestConfigProvider = () => {
    const settings = {};
    return {
        getRawConfig: (name) => settings[name],
        set: (key, value) => {
            settings[key] = value;
        },
        clear: () => {
            Object.keys(settings).forEach((key) => {
                // eslint-disable-next-line @typescript-eslint/no-dynamic-delete
                delete settings[key];
            });
        },
    };
};
export const parseNothing = async () => {
    // eslint-disable-next-line @typescript-eslint/consistent-type-assertions
    const x = {};
    return x;
};
//# sourceMappingURL=gcUnitTestHelpers.js.map